View Issue Details

IDProjectCategoryView StatusLast Update
0000373FreeCADBugpublic2011-10-14 17:30
Reportertombrown19Assigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.12 
Summary0000373: 2d Drafting bug - Should not allow the deletion of an object that is currently being drawn
DescriptionAMD 9850
Foxconn A7DA-S (790GX/SB750)
8GB RAM
17 x 2TB WD Caviar Green (16 in a ZFS - ZRAID1 array)
1 x 64GB Kingston SSDNow V+ SNVP325S264GB:

Software:

Distribution: ArchLinux
Kernel: 2.6.37 (vanilla)
xorg: xorg-server 1.10.2-1
KDE: 4.6.3-1
FreeCAD: 0.12 (4545)


Description:

FreeCAD allows for the deletion of an object while it is being created. Once deleted, you cannot finish editing it or close the creation process.


Repeatability:

- Open the file I've attached
- Select 2d Drawing workbench
- Select Draft - line tool
- From the objects view, delete the line that was just created
- You now cannot get out of the editing stage of creating the line object
TagsNo tags attached.

Activities

2011-06-08 21:59

 

House.fcstd (Attachment missing)

yorik

2011-06-14 17:37

administrator   ~0000899

Indeed that should be fixed! When the edit mode will be accessable to python I'll put all the Draft creation commands in editmode, thus preventing their object from being deleted while the command is active, but I'll try to do something provisory...

yorik

2011-10-14 17:30

administrator   ~0001154

done in r5023

Issue History

Date Modified Username Field Change
2011-06-08 21:59 tombrown19 New Issue
2011-06-08 21:59 tombrown19 File Added: House.fcstd
2011-06-14 17:37 yorik Note Added: 0000899
2011-06-14 17:37 yorik Status new => assigned
2011-06-14 17:37 yorik Assigned To => yorik
2011-10-14 17:30 yorik Note Added: 0001154
2011-10-14 17:30 yorik Status assigned => closed
2011-10-14 17:30 yorik Resolution open => fixed
2011-10-14 17:30 yorik Fixed in Version => 0.12